Package com.databend.jdbc.cloud

## Class DatabendCopyParams.Builder

- java.lang.Object
- - com.databend.jdbc.cloud.DatabendCopyParams.Builder

Enclosing class:
  DatabendCopyParams

    public static class DatabendCopyParams.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabendCopyParams` `build()`
`DatabendCopyParams.Builder` `setCopyOptions​(Map<String,​String> copyOptions)`
`DatabendCopyParams.Builder` `setDatabaseTableName​(String databaseTableName)`
`DatabendCopyParams.Builder` `setDatabendStage​(DatabendStage databendStage)`
`DatabendCopyParams.Builder` `setFileOptions​(Map<String,​String> fileOptions)`
`DatabendCopyParams.Builder` `setFiles​(List<String> files)`
`DatabendCopyParams.Builder` `setPattern​(String pattern)`
`DatabendCopyParams.Builder` `setType​(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### setDatabendStage

    public DatabendCopyParams.Builder setDatabendStage​(DatabendStage databendStage)

#### setFiles

    public DatabendCopyParams.Builder setFiles​(List<String> files)

#### setPattern

    public DatabendCopyParams.Builder setPattern​(String pattern)

#### setType

    public DatabendCopyParams.Builder setType​(String type)

#### setDatabaseTableName

    public DatabendCopyParams.Builder setDatabaseTableName​(String databaseTableName)

#### setFileOptions

    public DatabendCopyParams.Builder setFileOptions​(Map<String,​String> fileOptions)

#### setCopyOptions

    public DatabendCopyParams.Builder setCopyOptions​(Map<String,​String> copyOptions)

#### build

    public DatabendCopyParams build()